
INSERT INTO config.z3950_source(name,label,host,port,db,record_format,transmission_format,auth) VALUES
('NKC','Národní knihovna (NKC)','aleph.nkp.cz','9991','NKC-UTF','FI','usmarc','f'),
('SKC','Souborný katalog ČR (SKC)','aleph.nkp.cz','9991','SKC-UTF','FI','usmarc','f')
;

INSERT INTO config.z3950_attr(source,name,label,code,format,truncation) VALUES
('NKC','author','Author','1003','6','1'),
('NKC','publisher','Publisher','1018','6','1'),
('NKC','pubdate','Publication date','31','1','1'),
('NKC','title','Název','4','6','1'),
('NKC','isbn','ISBN','7','6','1'),
('NKC','issn','ISSN','8','1','1'),
('NKC','Title Control Number','tcn','12','1','1'),
('SKC','isbn','ISBN','7','6','1'),
('SKC','issn','ISSN','8','1','1'),
('SKC','Title Control Number','tcn','12','1','1'),
('SKC','title','Title','4','6','1'),
('SKC','author','Author','1003','6','1'),
('SKC','publisher','Publisher','1018','6','1'),
('SKC','pubdate','Publication Date','31','1','1')
;
