-- library staff member no. 1
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (4, 1, 'lperinova', 4, 'Peřinová', 'luciep1234', 
        'Lucie', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '16000', 'Na Okraji 57', 't',
        '', 'Praha 6', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348111', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 4);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 4;

-- library staff member no. 2
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (5, 3, 'jnovak', 9, 'Novák', 'jirin1234', 
        'Jiří', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 't', '33399', 'Boženy Němcové 15', 't',
        '', 'Přerov', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348222', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 9);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 9;

-- library staff member no. 3
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (5, 3, 'aplachtova', 9, 'Plachtová', 'alenap1234', 
        'Alena', '', NOW() + '3 years'::INTERVAL, '1999-06-13', 'II');

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '34900', 'náměstí Jiřího z Poděbrad 18', 't', 
        '', 'Dolní Lhota', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348333', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 9);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 9;
    
-- library staff member no. 4
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (6, 1, 'vnovotny', 8, 'Novotný', 'vitn1234', 
        'Vít', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 't', '14000', 'Antala Staška 150', 't',
        '', 'Praha 4', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348444', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 8);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 8;

-- library staff member no. 5
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (7, 3, 'ibajecna', 8, 'Báječná', 'ivanab1234', 
        'Ivana', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '44400', 'K Sádkám 18', 't',
        '', 'Ústí nad Labem', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348555', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 8);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 8;

-- library staff member no. 6
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (8, 3, 'pmochov', 7, 'Mochov', 'petrm1234', 
        'Petr', '', NOW() + '3 years'::INTERVAL, '1977-07-23', '');

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '44988', 'Na Návsi 30', 't',
        '', 'Horní Lhota', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348666', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 7);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 7;

-- library staff member no. 7
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (9, 3, 'jondrickova', 7, 'Ondříčková', 'jitkao1234', 
        'Jitka', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 't', '79988', 'Vlasákova 20', 't',
        '', 'České Budějovice', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348777', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 7);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 7;

-- library staff member no. 8
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (10, 1, 'tkemr', 6, 'Kemr', 'tomask1234', 
        'Tomáš', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '77965', 'Muzejní 48', 't',
        '', 'Uherský Brod', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348888', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 6);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 6;

-- library staff member no. 9
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (12, 3, 'amala', 6, 'Malá', 'alenam1234', 
        'Alena', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 't', '12488', 'Staroměstské náměstí 18', 't',
        '', 'Praha 1', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348999', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 6);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 6;

-- library staff member no. 10
INSERT INTO actor.usr 
    (profile, ident_type, usrname, home_ou, family_name, passwd, first_given_name, second_given_name, expire_date, dob, suffix) 
    VALUES (13, 1, 'jpodhrazsky', 5, 'Podhrázský', 'jirip1234', 
        'Jiří', '', NOW() + '3 years'::INTERVAL, NULL, NULL);

INSERT INTO actor.usr_address 
    (country, within_city_limits, post_code, street1, valid, state, city, street2, county, usr) 
    VALUES ('Česko', 'f', '44988', 'Konipasova 30', 't', 
        '', 'Dobřichovice', '', '', CURRVAL('actor.usr_id_seq'));

INSERT INTO actor.card (barcode, usr) 
    VALUES ('12348100', CURRVAL('actor.usr_id_seq'));

UPDATE actor.usr SET 
    card = CURRVAL('actor.card_id_seq'), 
    billing_address = CURRVAL('actor.usr_address_id_seq'), 
    credit_forward_balance = '0', 
    mailing_address = CURRVAL('actor.usr_address_id_seq') 
    WHERE id=CURRVAL('actor.usr_id_seq');

INSERT INTO permission.usr_work_ou_map (usr, work_ou) 
    VALUES (CURRVAL('actor.usr_id_seq'), 5);

UPDATE actor.usr usr SET usrname = LOWER(aou.shortname) || usrname 
    FROM actor.org_unit aou 
    WHERE usr.id = CURRVAL('actor.usr_id_seq') AND aou.id = 5;


